Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.gui
Class OptionsDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          net.sourceforge.jsxe.gui.EnhancedDialog
                              net.sourceforge.jsxe.gui.OptionsDialog

All Implemented Interfaces:
  Accessible, ActionListener, EventListener, ImageObserver, MenuContainer, RootPaneContainer, Serializable, TreeSelectionListener, WindowConstants

Direct Known Subclasses:
  GlobalOptionsDialog

public abstract class OptionsDialog
extends EnhancedDialog
implements ActionListener, TreeSelectionListener

An abstract tabbed options dialog box.

Version:
  $Id: OptionsDialog.java 930 2006-06-08 20:59:49Z ian_lewis $
Author:
  Slava Pestov, Ian Lewis (IanLewis@member.fsf.org)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `OptionsDialog.OptionTreeModel`

Nested classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class net.sourceforge.jsxe.gui.EnhancedDialog
`keyHandler`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OptionsDialog(Dialog dialog, String name, String title, String pane)` Initializes an OptionsDialog
`OptionsDialog(Frame frame, String name, String title, String pane)` Initializes an OptionsDialog

Method Summary
`void` | `actionPerformed(ActionEvent evt)`
`void` | `addOptionGroup(OptionGroup group)` Adds a new option group to the OptionPane tree.
`protected void` | `addOptionGroup(OptionGroup child, OptionGroup parent)`
`void` | `addOptionPane(OptionPane pane)` Adds a new option pane to the OptionPane tree.
`protected void` | `addOptionPane(OptionPane pane, OptionGroup parent)`
`void` | `cancel()` The method that is called when escape is pressed when viewing the dialog.
`protected abstract OptionsDialog.OptionTreeModel` | `createOptionTreeModel()`
`protected abstract OptionGroup` | `getDefaultGroup()`
`void` | `ok()` The method that is called when enter is pressed when viewing the dialog.
`void` | `ok(boolean dispose)`
`void` | `valueChanged(TreeSelectionEvent evt)`

Methods inherited from class net.sourceforge.jsxe.gui.EnhancedDialog
`loadGeometry, saveGeometry`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionsDialog

    public OptionsDialog(Frame frame,
                         String name,
                         String title,
                         String pane)

  Initializes an OptionsDialog

Parameters:
  `frame` - the parent frame
  `name` - the name of the dialog. Used in properties to save the geometry
  `title` - the title of the dialog
  `pane` - the name of the options pane to select first upon display.

### OptionsDialog

    public OptionsDialog(Dialog dialog,
                         String name,
                         String title,
                         String pane)

  Initializes an OptionsDialog

Parameters:
  `name` - the name of the dialog. Used in properties to save the geometry
  `title` - the title of the dialog
  `pane` - the name of the options pane to select first upon display.

Method Detail

### addOptionGroup

    public void addOptionGroup(OptionGroup group)

  Adds a new option group to the OptionPane tree.

  Parameters:
    `group` - the option group to add

### addOptionPane

    public void addOptionPane(OptionPane pane)

  Adds a new option pane to the OptionPane tree.

### ok

    public void ok()

  Description copied from class: `EnhancedDialog`
  The method that is called when enter is pressed when viewing the dialog. In options dialogs this would corresponding to when the OK button is pressed.

  Specified by:
    `ok` in class `EnhancedDialog`

### cancel

    public void cancel()

  Description copied from class: `EnhancedDialog`
  The method that is called when escape is pressed when viewing the dialog. In options dialogs this would corresponding to when the Cancel button is pressed.

  Specified by:
    `cancel` in class `EnhancedDialog`

### ok

    public void ok(boolean dispose)

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### valueChanged

    public void valueChanged(TreeSelectionEvent evt)

  Specified by:
    `valueChanged` in interface `TreeSelectionListener`

### createOptionTreeModel

    protected abstract OptionsDialog.OptionTreeModel createOptionTreeModel()

### getDefaultGroup

    protected abstract OptionGroup getDefaultGroup()

### addOptionGroup

    protected void addOptionGroup(OptionGroup child,
                                  OptionGroup parent)

### addOptionPane

    protected void addOptionPane(OptionPane pane,
                                 OptionGroup parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD